/* BODY */
body{
    background: rgb(20, 30, 40);
}

/* BANNER */
.banner{
    position: relative;
    margin: 0 auto;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    padding-bottom: 5vw;
    background: rgb(20, 30, 40);
}

.banner img{
    max-width: 100%;
    width: 100%;
    height: auto;
    transition: opacity 1s ease-in-out;
}

/* FILTER BUTTONS */
.filters {
    text-align: center;
    background: rgb(20, 30, 40);
}

.filters * {
    display: inline-block;
}

.filters label {
    padding: 0.5rem 1rem;
    border-radius: 2rem;
    line-height: normal;
    cursor: pointer;
    transition: all 0.1s;
    font-size: 1.5vw;
    color: white;
}

.filters label:hover {
    background: rgb(142, 167, 194);
    color: white;
}   

[value="All"]:checked ~ .filters [for="All"],
[value="CC"]:checked ~ .filters [for="CC"],
[value="Urban"]:checked ~ .filters [for="Urban"],
[value="Suburban"]:checked ~ .filters [for="Suburban"] {
    background: rgb(142, 167, 194);
    color: rgb(20, 30, 40);
}

[value="All"]:checked ~ .posts [data-category] {
    display: block;
}

[value="CC"]:checked ~ .out_wrap .gallery_wrap .gallery .img_cont:not([data-category~="CC"]),
[value="Urban"]:checked ~ .out_wrap .gallery_wrap .gallery .img_cont:not([data-category~="Urban"]),
[value="Suburban"]:checked ~ .out_wrap .gallery_wrap .gallery .img_cont:not([data-category~="Suburban"]) {
    display: none;
}   

[value="CC"]:checked ~ .out_wrap .gallery_wrap {
    background: url(../WEBSITE/KARYA/CC.jpg);
}

[value="Urban"]:checked ~ .out_wrap .gallery_wrap {
    background: url(../WEBSITE/KARYA/URBAN.jpg);
}

[value="Suburban"]:checked ~ .out_wrap .gallery_wrap {
    background: url(../WEBSITE/KARYA/SUBURBAN.png);
}

ol{
    list-style: none;
}      

input[type="radio"] {
    position: absolute;
    display: none;
}

/* VOTE BUTTON */
:root {
    --c: cubic-bezier(1,.49,.16,.96);
}

.btn {
    margin: auto;
    --w: 16vw;
    --h: 3vw;
    position: relative;
    display: flex;
    /* width: var(--w); */
    /* height: var(--h); */
    width: 16vw;
    height: 3vw;
    border: .3vw solid white;
}

.btn i {
    content: '';
    width: 100%;
    height: 100%;
    transition: all .5s var(--c);
    background: white;
}

.btn i:nth-child(1) {transition-delay: .02s;}
.btn i:nth-child(2) {transition-delay: .04s;}
.btn i:nth-child(3) {transition-delay: .06s;}
.btn i:nth-child(4) {transition-delay: .08s;}
.btn i:nth-child(5) {transition-delay: .10s;}
.btn i:nth-child(6) {transition-delay: .12s;}
.btn i:nth-child(7) {transition-delay: .14s;}
.btn i:nth-child(8) {transition-delay: .16s;}
.btn i:nth-child(9) {transition-delay: .18s;}
.btn i:nth-child(10) {transition-delay: .2s;}

.gallery_wrap .btn .vote{
    vertical-align: middle;
    position: absolute;
    width: 100%;	
    font-size: 1vw;
    font-weight: 800;
    line-height: 2.7vw;
    letter-spacing: .25vw;
    text-align: center;
    text-transform: uppercase;
    color: white;	
    transition: all .4s var(--c);
    /* z-index: 100; */
}

.style-1 i {	
    flex-direction: column;
    transform: scaleX(0);
    transform-origin: center left;
}

.style-1:hover i {
    transform: scaleX(1);
}

.btn:hover .vote {
    color: rgb(20, 30, 40);
    transition-delay: .4s;
}

/* GALLERY */
.gallery{
    margin: auto;
    max-width: 80%;
    padding-top: 5vw;
    padding-bottom: 5vw;
    line-height:0;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    grid-gap: .5vw;
    /* grid-gap: 5px; */
}

@media (max-width: 882px) {
    .gallery{
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    }
}

@media (max-width: 505px) {
    .gallery{
        grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
    }
}

.gallery img{
    width: 100%;
    height: 15vw;
    object-fit: cover;
}

.gallery_wrap{
    padding-top: 5vw;
    max-width: 100%;
    background: url(../WEBSITE/BG/BG_3.png);
}

.out_wrap{
    padding-top: 5vw;
    background: rgb(20, 30, 40);
}

/* GALLERY EFFECT */
.img_cont{
    position: relative;
}

.img_cont figure {
    position: relative;
    overflow: hidden;
    text-align: center;
    cursor: pointer;
}

.img_cont figcaption {
    color: #fff;
    text-transform: uppercase;
    font-size: .98vw;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.img_cont figure figcaption::before,
.img_cont figure figcaption::after {
    pointer-events: none;
}

.img_cont figure figcaption{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.img_cont figure h2 span {
    font-weight: 100;
}

.img_cont figure h2{
    margin: 0;
    margin-top: 7.5vw;
}

.img_cont figure p {
    margin: 0;
    margin-top: 1.5vw;
    font-size: 68.5%;
}

.effect-bubba img {
    -webkit-transition: opacity 0.35s;
    transition: all 0.35s;
}

.effect-bubba:hover img {
    filter: grayscale(1) brightness(.3);
}

.effect-bubba figcaption::before,
.effect-bubba figcaption::after {
    position: absolute;
    top: 1.6vw;
    right: 1.6vw;
    bottom: 1.6vw;
    left: 1.6vw;
    content: '';
    opacity: 0;
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
}

.effect-bubba figcaption::before {
    border-top: 1px solid #fff;
    border-bottom: 1px solid #fff;
    -webkit-transform: scale(0,1);
    transform: scale(0,1);
}

.effect-bubba figcaption::after {
    border-right: 1px solid #fff;
    border-left: 1px solid #fff;
    -webkit-transform: scale(1,0);
    transform: scale(1,0);
}

.effect-bubba h2 {
    opacity: 0;
    -webkit-transition: -webkit-transform 0.35s;
    transition: transform 0.35s;
    -webkit-transform: translate3d(0,-20px,0);
    transform: translate3d(0,-20px,0);
}

.effect-bubba p {
    opacity: 0;
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
    -webkit-transform: translate3d(0,20px,0);
    transform: translate3d(0,20px,0);
}

.effect-bubba:hover figcaption::before,
.effect-bubba:hover figcaption::after {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
}

.effect-bubba:hover h2,
.effect-bubba:hover p {
    opacity: 1;
    -webkit-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}